Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Visión general

React Charts es un componente de Charts bien diseñado para visualizar datos en aplicaciones móviles y web. Contiene una rica galería de interfaz de usuario de más de 50 Charts, que van desde líneas hasta financieros, que se adaptan a todos los escenarios de Charts. Su alto rendimiento ayuda a representar grandes cantidades de datos rápidamente sin problemas de rendimiento. Con los React Charts de Syncfusion, puede crear Charts receptivos e interactivos con un amplio conjunto de funciones como zoom, panorámica, información sobre herramientas, punto de mira, bola de seguimiento, resaltado y selección.

¿Por qué elegir los React Charts de Syncfusion?

React Charts Type image

Más de 50 tipos de Charts

Desde Charts sencillos de uso diario, como Charts de líneas, barras y áreas, hasta Charts financieros complejos y altamente personalizables.

React Charts Animation image

Animación de Charts

Los Charts para React proporcionan una animación fluida para representar datos con transiciones suaves.

React Charts Performance image

Rendimiento

Esfuerzos bien pensados y se centra principalmente en un rendimiento de ritmo rápido para representar 100k datos en menos de un segundo.

React Charts Sdk image

Renderizado SVG

Representación nítida y limpia basada en vectores para todas sus necesidades de respuesta y escalado.

React Charts Data Editing image

Edición de datos

Los React Charts con una interfaz de usuario enriquecida proporcionan soporte de arrastrar y soltar a los puntos representados. La edición de datos le permite manipular los datos en un gráfico.

React Charts Trendlines image

Líneas de tendencia

Muestra la dirección del precio y la velocidad del movimiento. Se pueden generar líneas de tendencia para series de tipo cartesiano (línea, columna, dispersión, área, vela, HiLo, etc.) excepto la barra.

React Charts Global Local image

Globalización y localización

Permite a los usuarios de diferentes configuraciones regionales utilizarlos formateando fechas, divisas y numeración para adaptarse a sus preferencias.

React Charts Export image

Exportación

Exporte Charts a documentos PDF o como formatos de imagen como SVG, PNG y JPEG, así como exporte datos de Charts a formatos XLSX y CSV.

React Charts potentes, fáciles de usar y ricos en funciones para su negocio


Ejemplo de código de React Charts

Comience fácilmente con los React Charts utilizando unas pocas líneas simples de código HTML y JavaScript como se demuestra a continuación. También explore nuestro Ejemplo de React Charts que le muestra cómo representar y configurar los Charts en React.

<!DOCTYPE html>
<html>

<body>
     <div id="charts"></div>
</body>

</html>
import { AxisModel, Category, ChartComponent, Inject, LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data : any[]= [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[LineSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Line'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
mobile addaptive icon

Enfoque de “primero el móvil”

Desarrolle React Charts con una única base de código y una arquitectura adaptable a dispositivos móviles bien pensada que se adapta a cualquier entorno web, móvil o tableta. Represente Charts hermosos, receptivos, interactivos y animados en dispositivos móviles.

Accesibilidad

Navegación por teclado en los React Charts.

Garantiza que todos los elementos sean accesibles mediante el teclado. Las funciones principales como la selección, el resaltado, la información sobre herramientas, el colapso de la leyenda y el zoom y la panorámica se pueden realizar utilizando solo los comandos del teclado; no se requiere interacción con el mouse. Esto ayuda a crear aplicaciones altamente accesibles utilizando este componente de React Charts.

Soporte de lector de pantalla y accesibilidad en el gráfico de React.

Lector de pantalla

Las vistas de los React Charts tienen soporte completo de accesibilidad WAI-ARIA. Esta interfaz de usuario incluye elementos visuales de alto contraste, lo que ayuda a las personas con discapacidades visuales a tener la mejor experiencia de visualización. Además, las descripciones válidas de la interfaz de usuario son fácilmente accesibles a través de tecnologías de asistencia como los lectores de pantalla.

Mostrar idioma de derecha a izquierda en los React Charts.

De derecha a izquierda (RTL)

La representación de derecha a izquierda permite mostrar el texto y el diseño de los React Charts de derecha a izquierda. Esto mejora la experiencia del usuario y la accesibilidad para los idiomas RTL.

Otros marcos principales compatibles

Además de React, hay integración incorporada disponible para estos marcos principales.

¿No está seguro de cómo crear sus primeros React Charts? Nuestros videos tutoriales y documentación pueden ayudar.

Me encantaría verlo ahora Me encantaría leerlo ahora

Preguntas frecuentes

Utilice los React Charts de Syncfusion para potenciar sus visualizaciones de datos más exigentes con las siguientes características:

  • Admite más de 50 tipos de Charts y una animación elegante.

  • Tiempo de carga ultrarrápido y una rica interacción de la interfaz de usuario en las aplicaciones de React.

  • Admite tanto la representación de SVG como la de Canvas (para una representación rápida).

  • Puede agregar elementos personalizados al gráfico utilizando la opción de anotaciones.

  • Al mostrar datos en varios Charts, los Charts sincronizados mejoran la visualización al coordinar la información sobre herramientas, los puntos de mira, las selecciones y las funciones de zoom en todos los Charts.

  • Vinculación de datos flexible con soporte para usar fuentes de datos locales y remotas como JSON, servicios RESTful, servicios OData y servicios WCF.

  • Uno de los mejores React Charts del mercado que ofrece una interfaz de usuario rica en funciones para interactuar con el software.
  • Configuración y API sencillas.

  • Admite todos los navegadores modernos.
  • Apto para dispositivos móviles táctiles y receptivo.
  • Amplios recursos de aprendizaje como demostraciones y documentación para aprender rápidamente y comenzar con los React Charts.

No vendemos los React Charts por separado. Solo está disponible para su compra como parte de la licencia de equipo de Syncfusion. Esta contiene más de componentes y frameworks, incluidos los React Charts. El precio de la licencia de equipo comienza en $395 por mes para 5 desarrolladores e incluye soporte y actualizaciones hasta que expire la suscripción. Además, podríamos ofrecer descuentos basados en promociones actualmente activas. Póngase en contacto con nuestros especialistas en productos hoy mismo para ver si califica para algún descuento adicional.

Puede encontrar nuestra demostración de los React Charts, que demuestra cómo representar y configurar los Charts.

No, nuestros más de componentes y frameworks para web, dispositivos móviles y de escritorio, incluidos nuestros React Charts, no se venden individualmente. Solo están disponibles como parte de una licencia de equipo. Sin embargo, hemos puesto un precio competitivo al producto, por lo que solo cuesta un poco más de lo que algunos otros proveedores cobran solo por su componente de Charts. También hemos descubierto que, en nuestra experiencia, nuestros clientes suelen comenzar usando uno de nuestros productos y luego se expanden a varios productos rápidamente, por lo que sentimos que era mejor ofrecer todos los más de componentes y frameworks por una tarifa de suscripción que comienza en $395 por mes para un equipo de 5 desarrolladores. Además, es posible que podamos ofrecer descuentos basados en promociones actualmente activas. Póngase en contacto con nuestros especialistas en productos hoy mismo para ver si califica para algún descuento adicional.

No, este es un producto comercial y requiere una licencia de pago. Sin embargo, también está disponible una licencia comunitaria gratuita para empresas e individuos cuyas organizaciones tengan menos de 1 millón de dólares estadounidenses en ingresos brutos anuales y cinco o menos desarrolladores.

Un buen lugar para comenzar sería nuestra completa documentación de introducción.

Nuestros clientes nos aman

Con un excelente conjunto de herramientas y un gran equipo de soporte, Syncfusion® reduce el tiempo de desarrollo de los clientes.
Estas son algunas de sus experiencias.

Ver historias de éxito reales

Desarrolladores de todo el mundo confían en Essential Studio de Syncfusion para simplificar proyectos complejos y acelerar la entrega. Con una amplia biblioteca de controles de interfaz de usuario, potentes SDK y soporte confiable, Essential Studio ayuda a los equipos a crear aplicaciones de nivel empresarial con confianza.

Explorar estudios de caso


Calificado por usuarios de todo el mundo

Premios

Grandeza: Decir que la tienes es una cosa, pero significa más cuando otros la reconocen. Syncfusion® se enorgullece de haber recibido los siguientes premios de la industria.

Actividades recientes en blogs y tutoriales de React Charts

Las publicaciones del blog y los videos tutoriales de React Charts lo guiarán en la creación de su primera aplicación con componentes de React. Proporcionan estrategias de resolución de problemas, describen características y funcionalidades, anuncian lanzamientos de nuevas funciones, explican las mejores prácticas y muestran escenarios de ejemplo. Explore nuestras últimas publicaciones en nuestro blog y canales de videos tutoriales para obtener actualizaciones de los React Charts.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Descripción general

Los Angular Charts son un componente de Charts bien diseñado para la visualización de datos. Contiene una rica galería UI de más de 50 Charts, desde líneas hasta financieros que satisfacen todos los escenarios de Charts. Su alto rendimiento ayuda a renderizar grandes cantidades de datos rápidamente. También viene con características como zoom, desplazamiento, tooltip, línea cruzada, trackball, resaltado y selección.

¿Por qué elegir Syncfusion Essential Studio® Angular Charts?

Angular Chart Type image

Más de 50 tipos de Charts

Desde Charts simples de Angular del día a día como Charts de líneas, Charts de barras, Charts de área hasta Charts financieros complejos que son altamente personalizables.

Angular Chart Animation image

Animación de Charts

Los Charts para Angular proporcionan animación fluida para representar datos con transiciones suaves.

Angular Chart Performance image

Rendimiento

Los Angular Charts están completamente diseñados para ofrecer un rendimiento acelerado, capaz de renderizar 100K puntos de datos en menos de un segundo.

Angular Chart Sdk image

Renderizado SVG

Renderizado basado en vectores, limpio y nítido para todas sus necesidades de capacidad de respuesta y escalado.

Angular Chart Data Editing image

Edición de datos

Los Angular Charts con rica UI proporcionan soporte de arrastrar y soltar a los puntos renderizados. La edición de datos le permite manipular los datos en un gráfico.

Angular Chart Trendlines image

Líneas de tendencia

Muestra la dirección del precio y la velocidad del movimiento. Las líneas de tendencia se pueden generar para series de tipo Cartesiano (Línea, Columna, Dispersión, Área, Vela, HiLo, etc.) excepto barras.

Angular Chart Global Local image

Globalización y localización

Los usuarios de diferentes localidades pueden usar los Charts de Angular formateando fechas, monedas y numeración para adaptarse a las preferencias.

Angular Chart Export image

Exportación

Exportar Charts a documentos PDF o como formatos de imagen como SVG, PNG y JPEG.

Angular Charts potentes, fáciles de usar y ricos en características para su negocio


Ejemplo de código de Angular Charts

Comience fácilmente con los Angular Charts usando unas pocas líneas simples de código HTML y TS como se demuestra a continuación. También explore nuestro ejemplo de Angular Charts que muestra cómo renderizar y configurar los Charts en Angular.

<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
  <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ LineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }
mobile addaptive icon

Enfoque móvil primero

Desarrolle Angular Charts con una sola base de código y una arquitectura adaptable móvil bien pensada que se adapta a cualquier entorno web, móvil o tablet. Renderice Charts hermosos, responsivos, interactivos y animados dentro de dispositivos móviles.

Accesibilidad

Keyboard navigation in Charts for Angular.

Los Angular Charts aseguran que cada elemento sea accesible por teclado. Las características principales como selección, resaltado, tooltip, colapso de leyenda y zoom y desplazamiento se pueden realizar usando solo comandos de teclado; no se requiere interacción con el mouse. Esto ayuda a crear aplicaciones altamente accesibles usando este componente.

Accessibility and screen reader support in Angular Chart.

Lector de pantalla

Las vistas de Angular Charts tienen soporte completo de accesibilidad WAI-ARIA. Esta UI incluye elementos visuales de alto contraste, ayudando a las personas con discapacidades visuales a tener la mejor experiencia de visualización. Además, las descripciones válidas de UI son fácilmente accesibles a través de tecnologías asistivas como lectores de pantalla.

Show right-to-left language in Angular Charts.

Derecha a izquierda (RTL)

El renderizado de derecha a izquierda permite mostrar el texto y el diseño de los Angular Charts de derecha a izquierda. Esto mejora la experiencia del usuario y la accesibilidad para idiomas RTL.


Compatibilidad de versiones de Angular

Con la mejora continua en las versiones de Angular, los Angular Charts se mantienen actualizados para hacerlos compatibles con versiones desde la 4 hasta la versión más reciente.

Charts Angular version compatibility.

Otros frameworks soportados

Los Charts están disponibles para los frameworks Blazor, React, JavaScript y Vue. Explore sus opciones específicas de plataforma a través de los siguientes enlaces:

Los Angular Charts funcionan bien con todos los navegadores web modernos, incluyendo Chrome, Firefox, Edge, Safari y Opera.

The best Angular Charts supported browsers.


¿No está seguro de cómo crear su primer Angular Chart? Nuestros videos tutoriales y documentación pueden ayudar.

Me encantaría verlo ahora Me encantaría leerlo ahora

Preguntas frecuentes

El componente Syncfusion Angular Charts soporta las siguientes características:

  • Soporta más de 50 tipos de Charts y animación elegante.

  • Tiempo de carga ultrarrápido y rica interacción UI en aplicaciones Angular.

  • Soporta tanto renderizado SVG como Canvas (para renderizado rápido).

  • Puede agregar elementos personalizados al gráfico usando la opción de anotaciones.

  • Enlace de datos flexible con soporte para usar fuentes de datos locales y remotas como JSON, servicios RESTful, servicios OData y servicios WCF.

  • Uno de los mejores Angular Charts en el mercado que ofrece UI rica en características para interactuar con el software.
  • Configuración simple y API.

  • Soporta todos los navegadores modernos.
  • Al mostrar datos en varios Charts, los Charts sincronizados mejoran la visualización coordinando tooltips, líneas cruzadas, selecciones y características de zoom en todos los Charts.

  • Compatible con dispositivos móviles táctiles y responsivo.
  • Recursos de aprendizaje amplios como demos, documentación y videos para aprender rápidamente y comenzar con Angular Charts.

No, nuestros + componentes y frameworks para web, móvil y escritorio, incluyendo nuestros Angular Charts, no se venden individualmente. Solo están disponibles como parte de una licencia de equipo. Sin embargo, hemos puesto un precio competitivo al producto, por lo que solo cuesta un poco más que lo que algunos otros proveedores cobran solo por su componente de Charts. También hemos encontrado que, en nuestra experiencia, nuestros clientes generalmente comienzan usando uno de nuestros productos y luego se expanden a varios productos rápidamente, por lo que sentimos que era mejor ofrecer todos los + componentes y frameworks por una tarifa de suscripción que comienza en $395 por mes para un equipo de 5 desarrolladores. Además, podríamos ofrecer descuentos basados en promociones actualmente activas. Por favor contacte a nuestros especialistas en productos hoy para ver si califica para descuentos adicionales.

No, este es un producto comercial y requiere una licencia paga. Sin embargo, una licencia comunitaria gratuita también está disponible para compañías e individuos cuyas organizaciones tengan menos de $1 millón USD en ingresos brutos anuales y cinco o menos desarrolladores.

Un buen lugar para comenzar sería nuestra documentación integral de inicio.

Los Syncfusion Angular Charts le permiten visualizar datos usando más de 50 tipos de Charts. Cada tipo de gráfico es fácilmente configurable con soporte integrado para crear efectos visuales impresionantes.

No vendemos los Angular Charts por separado. Solo está disponible para compra como parte de la licencia de equipo de Syncfusion. Esto contiene más de componentes y frameworks, incluyendo los Angular Charts. El precio de la licencia de equipo comienza en $395 por mes para 5 desarrolladores, e incluye soporte y actualizaciones hasta que expire la suscripción. Además, podríamos ofrecer descuentos basados en promociones actualmente activas. Por favor contacte a nuestros especialistas en productos hoy para ver si califica para descuentos adicionales.

Puede encontrar nuestra demostración de Angular Charts, que demuestra cómo renderizar y configurar los Charts.

Nuestros clientes nos aman

Con un excelente conjunto de herramientas y un gran equipo de soporte, Syncfusion® reduce el tiempo de desarrollo de los clientes.
Estas son algunas de sus experiencias.

Ver historias de éxito reales

Desarrolladores de todo el mundo confían en Essential Studio de Syncfusion para simplificar proyectos complejos y acelerar la entrega. Con una amplia biblioteca de controles de interfaz de usuario, potentes SDK y soporte confiable, Essential Studio ayuda a los equipos a crear aplicaciones de nivel empresarial con confianza.

Explorar estudios de caso


Calificado por usuarios de todo el mundo

Premios

Grandeza: Decir que la tienes es una cosa, pero significa más cuando otros la reconocen. Syncfusion® se enorgullece de haber recibido los siguientes premios de la industria.

Actividades recientes en tutoriales y blogs de Angular Charts

Los videos tutoriales y publicaciones de blog de Angular Charts lo guiarán en la construcción de su primera aplicación con componentes Angular. Proporcionan estrategias de resolución de problemas, describen características y funcionalidades, anuncian nuevos lanzamientos de características, explican mejores prácticas y muestran escenarios de ejemplo. Explore nuestras últimas publicaciones en nuestros canales de blog y video tutoriales para actualizaciones de Angular Charts.

Up arrow icon